﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyStack2
{
    class MyStack
    {
        private int[] _stack;
        private int _top = 0;
        private int _size;

        public MyStack(int size)
        {
            _size = size;
            _stack = new int[size];
        }

        public void Push(int tal)
        {
            if (_top >= _size) throw new MyStackIsFullException("Stakken er fuld!!!");
            _stack[_top++] = tal;
        }

        public int Pop()
        {
            try
            {
                return _stack[--_top];
            }
            catch (Exception e)
            {
                _top++;
                throw new MyStackIsEmptyException("Du prøver at Poppe fra en tom stak");
            }
           
        }
    }

    internal class MyStackIsFullException : Exception
    {
        public MyStackIsFullException(string stakkenErFuld) : base(stakkenErFuld)
        {
           
        }
    }
}
